using SqlSugar;

namespace OpenAuth.Repository.Domain;


[SugarTable("illegal_construction_assessment")]
public class IllegalConstructionAssessment
{
    [SugarColumn(ColumnName = "id", IsPrimaryKey = true)]
    public string Id { get; set; } = string.Empty;

    [SugarColumn(ColumnName = "title", IsNullable = false)]
    public string Title { get; set; } = string.Empty;

    [SugarColumn(ColumnName = "business_number", IsNullable = false)]
    public string BusinessNumber { get; set; } = string.Empty;

    [SugarColumn(ColumnName = "type")] public int? Type { get; set; }

    [SugarColumn(ColumnName = "attachments")]
    public string? Attachments { get; set; }

    [SugarColumn(ColumnName = "acceptance_time", IsNullable = false)]
    public DateTime AcceptanceTime { get; set; } = DateTime.Now;

    [SugarColumn(ColumnName = "receive_time")]
    public DateTime? ReceiveTime { get; set; }

    [SugarColumn(ColumnName = "status", IsNullable = false)]
    public string Status { get; set; } = "Submitted";

    [SugarColumn(ColumnName = "create_time", IsNullable = false)]
    public DateTime CreateTime { get; set; } = DateTime.Now;

    [SugarColumn(ColumnName = "create_user", IsNullable = false)]
    public string CreateUser { get; set; } = string.Empty;

    [SugarColumn(ColumnName = "update_time")]
    public DateTime? UpdateTime { get; set; }

    [SugarColumn(ColumnName = "update_user")]
    public string? UpdateUser { get; set; }

    [SugarColumn(ColumnName = "remark")] public string? Remark { get; set; }
    [SugarColumn(ColumnName = "create_user_id", IsNullable = false)]
    public long CreateUserId { get; set; }
}